
<div *ngIf="historyReason">
    <h2><span jhiTranslate="mpmApp.historyReason.detail.title">History Reason</span> {{historyReason.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.historyReason.idreason">Idreason</span></dt>
        <dd>
            <span>{{historyReason.idreason}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.historyReason.idforeign">Idforeign</span></dt>
        <dd>
            <span>{{historyReason.idforeign}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.historyReason.dtcreated">Dtcreated</span></dt>
        <dd>
            <span>{{historyReason.dtcreated | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.historyReason.createdby">Createdby</span></dt>
        <dd>
            <span>{{historyReason.createdby}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.historyReason.descriptions">Descriptions</span></dt>
        <dd>
            <span>{{historyReason.descriptions}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'history-reason/'+ historyReason.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
